{% extends "blog/base.html" %}{% load humanize thumbnail generic_markup pagination %}

{% block extrahead %}
{{ block.super }}

<script type="text/javascript">
$(function() {
    var $link = $('#main-menu a[href={% url blog-index %}]').addClass('active');
    
    {% if category %}
    $link = $('.blog-categories a[rel={{category}}]').addClass('active');
    {% endif %}
    
    {% if month %}
    $link = $('.blog-archive-list a[rel={{month.month}}_{{month.year}}]').addClass('active');
    scroller = $link.closest('.jquery-scroller').data('scroller').scrollTo($link[0], false);
    {% endif %}

    {% if author %}
    $('.blog-authors a[rel={{entry_list.0.author.id}}]').addClass('active');
    {% endif %}

});
</script>
{% endblock %}


{% block content %}
{{block.super}}

<ul class="blog-index wrapper">
{% for entry in entry_list %}
    <li class="blog-entry wrapper">
        <div class="info">
            {% with entry.author.userprofile.image as image %}
            {% if image %}
            <a href="{% url blog-index %}?author={{entry.author.id}}"><img src="{% thumbnail image 60x70 detail %}" alt="{{image.url}}test" /></a><br/>
            {% endif %}
            {% endwith %}
            <a href="{% url blog-index %}?author={{entry.author.id}}">{{entry.author.get_full_name|default:entry.author}}</a><br/>
            {{entry.pub_date|naturalday:"n N Y"}}
            
            <br/><br/>
            {% if entry.tags.count %}
            tags: {% for tag in entry.tags.all %}<a href="{% url blog-index %}?tag={{tag}}">{{tag}}</a>{% if not forloop.last %}, {% endif %} {% endfor %}
            {% endif %}
        </div>

        <div class="body">
            <h2><a href="{{entry.get_absolute_url}}" class="highlight">{{entry.title}}</a></h2>
            {{ entry.body|apply_markup}}
        </div>
    </li>
{% empty %}
    <li><p>Sorry, your search returned no posts.</p></li>
{% endfor %}

    <li class="pagination">
        {% if page.has_previous %}
        <a href="?{% querydict_merge querydict "page" page.previous_page_number %}">&lt; newer entries</a>
        {% endif %}
        {% if page.has_previous and page.has_next %}
        <span class="sep">|</span>
        {% endif %}
        {% if page.has_next %}
        <a href="?{% querydict_merge querydict "page" page.next_page_number %}">older entries&gt;</a>
        {% endif %}
    </li>
</ul>

{% endblock %}

